package com.kingdee.eas.custom.recuritment.task.osf.database;

/**
 * 手机号类型
 * description: MobileTypeEnum <br>
 * date: 2025/7/4 15:45 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
public enum MobileTypeEnum {

    CHINESE_MAINLAND("1","中国大陆"),
    HK_MC_TW_of_China("3","中国港澳台"),
    OUTSIDE_CHINA("4","国外"),
    Others("2","其他"),
;
    private final String key;
    private final String value;

    MobileTypeEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }
    public String getKey() {
        return key;
    }
    public String getValue() {
        return value;
    }

    public static MobileTypeEnum getByKey(String key){
        MobileTypeEnum propertyEnum=null;
        for(MobileTypeEnum e : MobileTypeEnum.values()){
            if(e.getKey().equals(key)){
                propertyEnum = e;
                break;
            }
        }
        return propertyEnum;
    }
}
